More cleanup of thread tests.

This commit is contained in:
Bruce Momjian 2004-04-26 13:14:48 +00:00
parent 9d8b414722
commit 9cb7b76ec7
2 changed files with 71 additions and 56 deletions

56
configure vendored
View File

@ -19113,12 +19113,7 @@ if test "$no_create" != yes; then
fi fi
# # Check for gmake.
# We have to run the thread test here because it is an external program
# that has to be runable separately for cross-compiling.
#
if test "$enable_thread_safety" = yes; then
if test cross_compiling != yes; then
for ac_prog in gmake make for ac_prog in gmake make
do do
# Extract the first word of "$ac_prog", so it can be a program name with args. # Extract the first word of "$ac_prog", so it can be a program name with args.
@ -19159,41 +19154,54 @@ fi
test -n "$MAKE" && break test -n "$MAKE" && break
done done
echo "$as_me:$LINENO: checking thread safety of required library functions." >&5 if ! $MAKE -v | grep 'GNU Make' >/dev/null
echo $ECHO_N "checking thread safety of required library functions.... $ECHO_C" >&6 then rm -f $srcdir/src/Makefile.global
echo "$as_me:$LINENO: checking Can not find GNU Make. It is required." >&5
echo $ECHO_N "checking Can not find GNU Make. It is required.... $ECHO_C" >&6
fi
# Thread testing
# We have to run the thread test here because it is an external program
# that has to be runable separately for cross-compiling.
#
if test "$enable_thread_safety" = yes; then
if test cross_compiling != yes; then
# #
# Clean, compile, run, and clean thread test directory. # Clean, compile, run, and clean thread test directory.
# If test fails for any reason, remove Makefile.global so the user can't # If test fails for any reason, remove Makefile.global so the user can't
# compile (to simulate a configure failure). # compile (to simulate a configure failure).
# #
$MAKE -C $srcdir/src/tools/thread clean >&5 || echo "$as_me:$LINENO: checking thread safety of required library functions" >&5
( rm -f src/Makefile.global echo $ECHO_N "checking thread safety of required library functions... $ECHO_C" >&6
if ! $MAKE -C $srcdir/src/tools/thread clean >&5
then rm -f $srcdir/src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5 { { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
echo "$as_me: error: Can not clean thread test directory." >&2;} echo "$as_me: error: Can not clean thread test directory." >&2;}
{ (exit 1); exit 1; }; }) || { (exit 1); exit 1; }; }
exit $? fi
$MAKE -C $srcdir/src/tools/thread >&5 || if ! $MAKE -C $srcdir/src/tools/thread >&5
( rm -f src/Makefile.global then rm -f $srcdir/src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not build thread test proram." >&5 { { echo "$as_me:$LINENO: error: Can not build thread test proram." >&5
echo "$as_me: error: Can not build thread test proram." >&2;} echo "$as_me: error: Can not build thread test proram." >&2;}
{ (exit 1); exit 1; }; }) || { (exit 1); exit 1; }; }
exit $? fi
$srcdir/src/tools/thread/thread_test >&5 || if ! $srcdir/src/tools/thread/thread_test >&5
( rm -f src/Makefile.global then rm -f $srcdir/src/Makefile.global
echo "no" echo "no"
echo echo
$srcdir/src/tools/thread/thread_test $srcdir/src/tools/thread/thread_test
echo echo
{ { echo "$as_me:$LINENO: error: Thread test program failed. Your platform is not thread-safe." >&5 { { echo "$as_me:$LINENO: error: Thread test program failed. Your platform is not thread-safe." >&5
echo "$as_me: error: Thread test program failed. Your platform is not thread-safe." >&2;} echo "$as_me: error: Thread test program failed. Your platform is not thread-safe." >&2;}
{ (exit 1); exit 1; }; }) || { (exit 1); exit 1; }; }
exit $? fi
$MAKE -C $srcdir/src/tools/thread clean >&5 || if ! $MAKE -C $srcdir/src/tools/thread clean >&5
( rm -f src/Makefile.global then rm -f $srcdir/src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5 { { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
echo "$as_me: error: Can not clean thread test directory." >&2;} echo "$as_me: error: Can not clean thread test directory." >&2;}
{ (exit 1); exit 1; }; }) || { (exit 1); exit 1; }; }
exit $? fi
echo "yes" echo "yes"
else else
{ echo "$as_me:$LINENO: WARNING: { echo "$as_me:$LINENO: WARNING:

View File

@ -1,5 +1,5 @@
dnl Process this file with autoconf to produce a configure script. dnl Process this file with autoconf to produce a configure script.
dnl $PostgreSQL: pgsql/configure.in,v 1.334 2004/04/26 04:04:42 momjian Exp $ dnl $PostgreSQL: pgsql/configure.in,v 1.335 2004/04/26 13:14:48 momjian Exp $
dnl dnl
dnl Developers, please strive to achieve this order: dnl Developers, please strive to achieve this order:
dnl dnl
@ -1215,39 +1215,46 @@ echo >src/include/stamp-h
AC_OUTPUT AC_OUTPUT
# # Check for gmake.
AC_CHECK_PROGS(MAKE, gmake make)
if ! $MAKE -v | grep 'GNU Make' >/dev/null
then rm -f $srcdir/src/Makefile.global
AC_MSG_CHECKING([Can not find GNU Make. It is required.])
fi
# Thread testing
# We have to run the thread test here because it is an external program # We have to run the thread test here because it is an external program
# that has to be runable separately for cross-compiling. # that has to be runable separately for cross-compiling.
# #
if test "$enable_thread_safety" = yes; then if test "$enable_thread_safety" = yes; then
if test cross_compiling != yes; then if test cross_compiling != yes; then
AC_CHECK_PROGS(MAKE, gmake make)
AC_MSG_CHECKING([thread safety of required library functions.])
# #
# Clean, compile, run, and clean thread test directory. # Clean, compile, run, and clean thread test directory.
# If test fails for any reason, remove Makefile.global so the user can't # If test fails for any reason, remove Makefile.global so the user can't
# compile (to simulate a configure failure). # compile (to simulate a configure failure).
# #
$MAKE -C $srcdir/src/tools/thread clean >&5 || AC_MSG_CHECKING([thread safety of required library functions])
( rm -f src/Makefile.global if ! $MAKE -C $srcdir/src/tools/thread clean >&5
AC_MSG_ERROR([Can not clean thread test directory.])) || then rm -f $srcdir/src/Makefile.global
exit $? AC_MSG_ERROR([Can not clean thread test directory.])
$MAKE -C $srcdir/src/tools/thread >&5 || fi
( rm -f src/Makefile.global if ! $MAKE -C $srcdir/src/tools/thread >&5
AC_MSG_ERROR([Can not build thread test proram.])) || then rm -f $srcdir/src/Makefile.global
exit $? AC_MSG_ERROR([Can not build thread test proram.])
$srcdir/src/tools/thread/thread_test >&5 || fi
( rm -f src/Makefile.global if ! $srcdir/src/tools/thread/thread_test >&5
then rm -f $srcdir/src/Makefile.global
echo "no" echo "no"
echo echo
$srcdir/src/tools/thread/thread_test $srcdir/src/tools/thread/thread_test
echo echo
AC_MSG_ERROR([Thread test program failed. Your platform is not thread-safe.])) || AC_MSG_ERROR([Thread test program failed. Your platform is not thread-safe.])
exit $? fi
$MAKE -C $srcdir/src/tools/thread clean >&5 || if ! $MAKE -C $srcdir/src/tools/thread clean >&5
( rm -f src/Makefile.global then rm -f $srcdir/src/Makefile.global
AC_MSG_ERROR([Can not clean thread test directory.])) || AC_MSG_ERROR([Can not clean thread test directory.])
exit $? fi
echo "yes" echo "yes"
else else
AC_MSG_WARN([ AC_MSG_WARN([